Search a source live
curl --request POST \
--url https://api.hyperspell.com/live/{source}/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"index": false,
"connection_id": "<string>"
}
'import requests
url = "https://api.hyperspell.com/live/{source}/search"
payload = {
"query": "<string>",
"index": False,
"connection_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>', index: false, connection_id: '<string>'})
};
fetch('https://api.hyperspell.com/live/{source}/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"documents": [
{
"resource_id": "<string>",
"type": "<string>",
"document": {
"type": "document",
"id": "<string>",
"metadata": {
"sources": [
{
"chunk_id": "<string>",
"resource_id": "<string>",
"source": "<string>",
"score": 123
}
],
"edited_by": "<string>"
},
"text": "<string>",
"children": [
{
"mimetype": "<string>",
"data": "<string>",
"type": "blob",
"id": "<string>",
"metadata": {
"sources": [
{
"chunk_id": "<string>",
"resource_id": "<unknown>",
"source": "<unknown>",
"score": "<unknown>"
}
],
"edited_by": "<string>"
}
}
],
"title": "<string>"
},
"title": "<string>",
"collection": "<string>",
"metadata": {},
"ingested_at": "2023-11-07T05:31:56Z",
"last_modified_at": "2023-11-07T05:31:56Z",
"document_date": "2023-11-07T05:31:56Z"
}
],
"indexed": false,
"notes": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Live
Search a source live
Search a source live for content that may not be indexed yet. With
index=true, each hit is queued for indexing (no-op for live-only sources
like Google Calendar — see notes in the response).
POST
/
live
/
{source}
/
search
Search a source live
Authorizations
APIKeyAsUser
API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.
Path Parameters
Available options:
reddit, notion, slack, google_calendar, google_mail, box, dropbox, github, google_drive, vault, web_crawler, trace, microsoft_teams, gmail_actions, granola, fathom, fireflies, linear, hubspot, salesforce, coda, lightfield, gong, pylon, clickup Body
application/json
Was this page helpful?
⌘I